<?xml version="1.0" encoding="iso-8859-15"?>
<xsl:stylesheet 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
version="1.0">
<!--

MODULE
======

production of navigation

FILES
=====

/usr/home/fplod/incas/ncstat/ncstat_ws/adm/guides/navigation02_html.xsl sur aedon.locean-ipsl.upmc.fr

TODO
====

search (see doxygen output)

EVOLUTIONS
==========

$Id$

- fplod 2009-04-22T14:52:55Z aedon.locean-ipsl.upmc.fr (Darwin)

  * avoid multiple "current" id in the same HTML file

- fplod 2009-04-22T13:29:15Z aedon.locean-ipsl.upmc.fr (Darwin)

  * liste des sect1 si noeud courant = appendix 
  * liste des sect1 si noeud courant = appendx/sect1
  * identification du appendix courant si sect1

- fplod 2009-04-22T13:18:37Z aedon.locean-ipsl.upmc.fr (Darwin)

  * liste des chapitres si noeud courant = appendix 

- fplod 2009-04-22T08:44:58Z aedon.locean-ipsl.upmc.fr (Darwin)

  * identification du chapitre courant si sect1
  * liste des sect2 si noeud courant = sect1
  * liste des chapitres si noeud courant = sect2
  * identification du chapitre courant si sect2
  * identification de la sect1 courante si sect2

- fplod 2009-04-21T11:09:50Z aedon.locean-ipsl.upmc.fr (Darwin)

  * creation inspired by
    http://www.alistapart.com/articles/slidingdoors
    and
    http://www.alistapart.com/d/slidingdoors/v1/v1.html
-->

<xsl:template name="navigation02_html">
<xsl:param name="node" select="."/>

<!--
<xsl:message>
titre noeud: <xsl:value-of select="($node/title)"/>
titre courant: <xsl:value-of select="(./title)"/>
id noeud: <xsl:value-of select="($node/@id)"/>
id courant: <xsl:value-of select="(./@id)"/>
type courant: <xsl:value-of select="local-name()"/>
</xsl:message>
-->

 <xsl:element name="div">
  <xsl:attribute name="id">header_chapter</xsl:attribute> 

  <!-- ul chapters and appendices -->
  <xsl:if test="local-name() = 'book'">
   <xsl:element name="ul">
    <xsl:for-each select="//chapter|//appendix"> 
     <xsl:element name="li">
      <xsl:element name="a">
       <xsl:attribute name="href">
       <xsl:value-of select="@id"/>
       <xsl:text>.html</xsl:text>
       </xsl:attribute>
       <xsl:value-of select="title"/>
      </xsl:element>
     </xsl:element>
    </xsl:for-each>
   </xsl:element>
  </xsl:if>

  <xsl:if test="local-name() = 'chapter'">
   <xsl:element name="ul">
    <xsl:for-each select="//chapter|//appendix">
     <xsl:element name="li">
      <xsl:if test="$node/@id = ./@id">
       <xsl:attribute name="id">current_chapter</xsl:attribute> 
      </xsl:if>
      <xsl:element name="a">
       <xsl:attribute name="href">
       <xsl:value-of select="@id"/>
       <xsl:text>.html</xsl:text>
       </xsl:attribute>
       <xsl:value-of select="title"/>
      </xsl:element>
     </xsl:element>
    </xsl:for-each> 
   </xsl:element>
  </xsl:if>
  <xsl:if test="local-name() = 'appendix'">
   <xsl:element name="ul">
    <xsl:for-each select="//chapter|//appendix">
     <xsl:element name="li">
      <xsl:if test="$node/@id = ./@id">
       <xsl:attribute name="id">current_chapter</xsl:attribute>
      </xsl:if>
      <xsl:element name="a">
       <xsl:attribute name="href">
       <xsl:value-of select="@id"/>
       <xsl:text>.html</xsl:text>
       </xsl:attribute>
       <xsl:value-of select="title"/>
      </xsl:element>
     </xsl:element>
    </xsl:for-each>
   </xsl:element>
  </xsl:if>

  <xsl:if test="local-name() = 'sect1'">
   <xsl:element name="ul">
    <xsl:for-each select="ancestor::book/chapter|ancestor::book/appendix">
     <xsl:element name="li">
      <xsl:if test="$node/ancestor-or-self::chapter/@id = ./@id">
       <xsl:attribute name="id">current_chapter</xsl:attribute>
      </xsl:if>
      <xsl:if test="$node/ancestor-or-self::appendix/@id = ./@id">
       <xsl:attribute name="id">current_chapter</xsl:attribute>
      </xsl:if>
      <xsl:element name="a">
       <xsl:attribute name="href">
       <xsl:value-of select="@id"/>
       <xsl:text>.html</xsl:text>
       </xsl:attribute>
       <xsl:value-of select="title"/>
      </xsl:element>
     </xsl:element>
    </xsl:for-each>
   </xsl:element>
  </xsl:if>
  <xsl:if test="local-name() = 'sect2'">
   <xsl:element name="ul">
    <xsl:for-each select="ancestor::book/chapter|ancestor::book/appendix">
     <xsl:element name="li">
      <xsl:if test="$node/ancestor-or-self::chapter/@id = ./@id">
       <xsl:attribute name="id">current_chapter</xsl:attribute>
      </xsl:if>
      <xsl:if test="$node/ancestor-or-self::appendix/@id = ./@id">
       <xsl:attribute name="id">current_chapter</xsl:attribute>
      </xsl:if>
      <xsl:element name="a">
       <xsl:attribute name="href">
       <xsl:value-of select="@id"/>
       <xsl:text>.html</xsl:text>
       </xsl:attribute>
       <xsl:value-of select="title"/>
      </xsl:element>
     </xsl:element>
    </xsl:for-each>
   </xsl:element>
  </xsl:if>

 </xsl:element>

 <xsl:element name="div">
  <xsl:attribute name="id">header_sect1</xsl:attribute> 
  <xsl:if test="local-name() = 'chapter'">
   <xsl:element name="ul"> 
    <xsl:for-each select="./sect1">
     <xsl:element name="li">
      <xsl:if test="$node/@id = ./@id">
       <xsl:attribute name="id">current_sect1</xsl:attribute> 
      </xsl:if>
      <xsl:element name="a">
       <xsl:attribute name="href">
       <xsl:value-of select="@id"/>
       <xsl:text>.html</xsl:text>
       </xsl:attribute>
       <xsl:value-of select="title"/>
      </xsl:element>
     </xsl:element>
    </xsl:for-each>
   </xsl:element>
  </xsl:if>
  <xsl:if test="local-name() = 'appendix'">
   <xsl:element name="ul">
    <xsl:for-each select="./sect1">
     <xsl:element name="li">
      <xsl:if test="$node/@id = ./@id">
       <xsl:attribute name="id">current_sect1</xsl:attribute>
      </xsl:if>
      <xsl:element name="a">
       <xsl:attribute name="href">
       <xsl:value-of select="@id"/>
       <xsl:text>.html</xsl:text>
       </xsl:attribute>
       <xsl:value-of select="title"/>
      </xsl:element>
     </xsl:element>
    </xsl:for-each>
   </xsl:element>
  </xsl:if>

  <xsl:if test="local-name() = 'sect1'">
   <xsl:element name="ul"> 
    <xsl:for-each select="ancestor::chapter/sect1|ancestor::appendix/sect1">
     <xsl:element name="li">
      <xsl:if test="$node/@id = ./@id">
       <xsl:attribute name="id">current_sect1</xsl:attribute> 
      </xsl:if>
      <xsl:element name="a">
       <xsl:attribute name="href">
       <xsl:value-of select="@id"/>
       <xsl:text>.html</xsl:text>
       </xsl:attribute>
       <xsl:value-of select="title"/>
      </xsl:element>
      </xsl:element>
    </xsl:for-each>
   </xsl:element>
  </xsl:if>
  <xsl:if test="local-name() = 'sect2'">
   <xsl:element name="ul">
    <xsl:for-each select="ancestor::chapter/sect1">
     <xsl:element name="li">
      <xsl:if test="$node/ancestor-or-self::sect1/@id = ./@id">
       <xsl:attribute name="id">current_sect1</xsl:attribute>
      </xsl:if>
      <xsl:element name="a">
       <xsl:attribute name="href">
       <xsl:value-of select="@id"/>
       <xsl:text>.html</xsl:text>
       </xsl:attribute>
       <xsl:value-of select="title"/>
      </xsl:element>
      </xsl:element>
    </xsl:for-each>
   </xsl:element>
  </xsl:if>

 </xsl:element>

 <xsl:element name="div">
  <xsl:attribute name="id">header_sect2</xsl:attribute> 

  <xsl:if test="local-name() = 'sect2'">
   <xsl:element name="ul"> 
    <xsl:for-each select="ancestor::sect1/sect2">
     <xsl:element name="li">
      <xsl:if test="$node/@id = ./@id">
       <xsl:attribute name="id">current_sect2</xsl:attribute> 
      </xsl:if>
      <xsl:element name="a">
       <xsl:attribute name="href">
       <xsl:value-of select="@id"/>
       <xsl:text>.html</xsl:text>
       </xsl:attribute>
       <xsl:value-of select="title"/>
      </xsl:element>
      </xsl:element>
    </xsl:for-each>
   </xsl:element>
  </xsl:if>
  <xsl:if test="local-name() = 'sect1'">
   <xsl:element name="ul">
    <xsl:for-each select="./sect2">
     <xsl:element name="li">
      <xsl:if test="$node/ancestor-or-self::sect2/@id = ./@id">
       <xsl:attribute name="id">current_sect2</xsl:attribute>
      </xsl:if>
      <xsl:element name="a">
       <xsl:attribute name="href">
       <xsl:value-of select="@id"/>
       <xsl:text>.html</xsl:text>
       </xsl:attribute>
       <xsl:value-of select="title"/>
      </xsl:element>
      </xsl:element>
    </xsl:for-each>
   </xsl:element>
  </xsl:if>

 </xsl:element>
</xsl:template>
</xsl:stylesheet>
